Compute Resource Get Config Issue

Compute Resource Get Config Issue
Current configuration issues that have been detected for this entity.

Current configuration issues that have been detected for this entity.

Typically, these issues have already been logged as events. The entity stores these events as long as they are still current. The configStatus property provides an overall status based on these events.

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/ComputeResource/{moId}/configIssue
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case ComputeResource/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "key": 0,
        "chainId": 0,
        "createdTime": "string",
        "userName": "string",
        "datacenter": {
            "_typeName": "string",
            "name": "string",
            "datacenter": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "computeResource": {
            "_typeName": "string",
            "name": "string",
            "computeResource": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "host": {
            "_typeName": "string",
            "name": "string",
            "host": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "vm": {
            "_typeName": "string",
            "name": "string",
            "vm": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "ds": {
            "_typeName": "string",
            "name": "string",
            "datastore": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "net": {
            "_typeName": "string",
            "name": "string",
            "network": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "dvs": {
            "_typeName": "string",
            "name": "string",
            "dvs": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "tgw": {
            "_typeName": "string",
            "name": "string",
            "tgw": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        },
        "fullFormattedMessage": "string",
        "changeTag": "string",
        "auditId": "string"
    }
]
array of object
Optional

This event is the base data object type from which all events inherit.

All event objects are data structures that describe events. While event data objects are data structures that describe events, event data type documentation may describe what the event records, rather than the data structure, itself.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/ComputeResource/{moId}/configIssue